Index: /trunk/sources/HeuristicLab.Core/3.3/Attributes/ItemAttribute.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Attributes/ItemAttribute.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Core/3.3/Attributes/ItemAttribute.cs	(revision 3822)
@@ -50,6 +50,20 @@
     public static string GetName(Type type) {
       object[] attribs = type.GetCustomAttributes(typeof(ItemAttribute), false);
-      if (attribs.Length > 0) return ((ItemAttribute)attribs[0]).Name;
-      else return type.GetPrettyName();
+      if (attribs.Length > 0) {
+        string name = ((ItemAttribute)attribs[0]).Name;
+        if (type.IsGenericType) {
+          name += "<";
+          Type[] typeParams = type.GetGenericArguments();
+          if (typeParams.Length > 0) {
+            name += GetName(typeParams[0]);
+            for (int i = 1; i < typeParams.Length; i++)
+              name += ", " + GetName(typeParams[i]);
+          }
+          name += ">";
+        }
+        return name;
+      } else {
+        return type.GetPrettyName();
+      }
     }
     public static string GetDescription(Type type) {
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/CheckedItemCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/CheckedItemCollection.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/CheckedItemCollection.cs	(revision 3822)
@@ -35,5 +35,5 @@
   /// <typeparam name="T">The element type (base type IItem)</typeparam>
   [StorableClass]
-  [Item("CheckedItemCollection<T>", "Represents a collection of items that can be checked or unchecked.")]
+  [Item("CheckedItemCollection", "Represents a collection of items that can be checked or unchecked.")]
   public class CheckedItemCollection<T> : ItemCollection<T>, ICheckedItemCollection<T> where T : class, IItem {
     [Storable]
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/CheckedItemList.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/CheckedItemList.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/CheckedItemList.cs	(revision 3822)
@@ -38,5 +38,5 @@
   /// <typeparam name="T">The element type (base type is IItem)</typeparam>
   [StorableClass]
-  [Item("CheckedItemList<T>", "Represents a list of items that can be checked or unchecked.")]
+  [Item("CheckedItemList", "Represents a list of items that can be checked or unchecked.")]
   public class CheckedItemList<T> : ItemList<T>, ICheckedItemList<T> where T : class, IItem {
     [Storable]
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemArray.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemArray.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemArray.cs	(revision 3822)
@@ -34,5 +34,5 @@
 namespace HeuristicLab.Core {
   [StorableClass]
-  [Item("ItemArray<T>", "Represents an array of items.")]
+  [Item("ItemArray", "Represents an array of items.")]
   public class ItemArray<T> : ObservableArray<T>, IItemArray<T> where T : class, IItem {
     private string filename;
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemCollection.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemCollection.cs	(revision 3822)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Core {
   [StorableClass]
-  [Item("ItemCollection<T>", "Represents a collection of items.")]
+  [Item("ItemCollection", "Represents a collection of items.")]
   public class ItemCollection<T> : ObservableCollection<T>, IItemCollection<T> where T : class, IItem {
     private string filename;
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemDictionary.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemDictionary.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemDictionary.cs	(revision 3822)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Core {
   [StorableClass]
-  [Item("ItemDictionary<TKey, TValue>", "Represents a dictionary of items.")]
+  [Item("ItemDictionary", "Represents a dictionary of items.")]
   public class ItemDictionary<TKey, TValue> : ObservableDictionary<TKey, TValue>, IItemDictionary<TKey, TValue> where TKey : class, IItem where TValue : class, IItem {
     private string filename;
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemList.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemList.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemList.cs	(revision 3822)
@@ -34,5 +34,5 @@
 namespace HeuristicLab.Core {
   [StorableClass]
-  [Item("ItemList<T>", "Represents a list of items.")]
+  [Item("ItemList", "Represents a list of items.")]
   public class ItemList<T> : ObservableList<T>, IItemList<T> where T : class, IItem {
     private string filename;
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemSet.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemSet.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemSet.cs	(revision 3822)
@@ -34,5 +34,5 @@
 namespace HeuristicLab.Core {
   [StorableClass]
-  [Item("ItemSet<T>", "Represents a set of items.")]
+  [Item("ItemSet", "Represents a set of items.")]
   public class ItemSet<T> : ObservableSet<T>, IItemSet<T> where T : class, IItem {
     private string filename;
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/KeyedItemCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/KeyedItemCollection.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/KeyedItemCollection.cs	(revision 3822)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Core {
-  [Item("KeyedItemCollection<TKey, TItem>", "Represents a keyed collection of items.")]
+  [Item("KeyedItemCollection", "Represents a keyed collection of items.")]
   [StorableClass]
   public abstract class KeyedItemCollection<TKey, TItem> : ObservableKeyedCollection<TKey, TItem>, IKeyedItemCollection<TKey, TItem> where TItem : class, IItem {
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/NamedItemCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/NamedItemCollection.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/NamedItemCollection.cs	(revision 3822)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Core {
-  [Item("NamedItemCollection<T>", "Represents a collection of named items.")]
+  [Item("NamedItemCollection", "Represents a collection of named items.")]
   [StorableClass]
   public class NamedItemCollection<T> : KeyedItemCollection<string, T> where T : class, INamedItem {
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemCollection.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemCollection.cs	(revision 3822)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Core {
   [StorableClass]
-  [Item("ReadOnlyCheckedItemCollection<T>", "Represents a read-only collection of checked items.")]
+  [Item("ReadOnlyCheckedItemCollection", "Represents a read-only collection of checked items.")]
   public class ReadOnlyCheckedItemCollection<T> : ReadOnlyItemCollection<T>, ICheckedItemCollection<T> where T : class, IItem {
     private CheckedItemCollection<T> CheckedItemCollection {
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemList.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemList.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemList.cs	(revision 3822)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Core {
   [StorableClass]
-  [Item("ReadOnlyCheckedItemList<T>", "Represents a read-only list of checked items.")]
+  [Item("ReadOnlyCheckedItemList", "Represents a read-only list of checked items.")]
   public class ReadOnlyCheckedItemList<T> : ReadOnlyItemList<T>, ICheckedItemList<T> where T : class, IItem {
     private CheckedItemList<T> CheckedItemList {
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemArray.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemArray.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemArray.cs	(revision 3822)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Core {
   [StorableClass]
-  [Item("ReadOnlyItemArray<T>", "Represents a read-only array of items.")]
+  [Item("ReadOnlyItemArray", "Represents a read-only array of items.")]
   public class ReadOnlyItemArray<T> : ReadOnlyObservableArray<T>, IItemArray<T> where T : class, IItem {
     private string filename;
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemCollection.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemCollection.cs	(revision 3822)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Core {
   [StorableClass]
-  [Item("ReadOnlyItemCollection<T>", "Represents a read-only collection of items.")]
+  [Item("ReadOnlyItemCollection", "Represents a read-only collection of items.")]
   public class ReadOnlyItemCollection<T> : ReadOnlyObservableCollection<T>, IItemCollection<T> where T : class, IItem {
     private string filename;
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemDictionary.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemDictionary.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemDictionary.cs	(revision 3822)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Core {
   [StorableClass]
-  [Item("ReadOnlyItemDictionary<TKey, TValue>", "Represents a read-only dictionary of items.")]
+  [Item("ReadOnlyItemDictionary", "Represents a read-only dictionary of items.")]
   public class ReadOnlyItemDictionary<TKey, TValue> : ReadOnlyObservableDictionary<TKey, TValue>, IItemDictionary<TKey, TValue> where TKey : class, IItem where TValue : class, IItem {
     private string filename;
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemList.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemList.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemList.cs	(revision 3822)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Core {
   [StorableClass]
-  [Item("ReadOnlyItemList<T>", "Represents a read-only list of items.")]
+  [Item("ReadOnlyItemList", "Represents a read-only list of items.")]
   public class ReadOnlyItemList<T> : ReadOnlyObservableList<T>, IItemList<T> where T : class, IItem {
     private string filename;
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemSet.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemSet.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemSet.cs	(revision 3822)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Core {
   [StorableClass]
-  [Item("ReadOnlyItemSet<T>", "Represents a read-only set of items.")]
+  [Item("ReadOnlyItemSet", "Represents a read-only set of items.")]
   public class ReadOnlyItemSet<T> : ReadOnlyObservableSet<T>, IItemSet<T> where T : class, IItem {
     private string filename;
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyKeyedItemCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyKeyedItemCollection.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyKeyedItemCollection.cs	(revision 3822)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Core {
   [StorableClass]
-  [Item("ReadOnlyKeyedItemCollection<TKey, TItem>", "Represents a read-only keyed collection of items.")]
+  [Item("ReadOnlyKeyedItemCollection", "Represents a read-only keyed collection of items.")]
   public class ReadOnlyKeyedItemCollection<TKey, TItem> : ReadOnlyObservableKeyedCollection<TKey, TItem>, IKeyedItemCollection<TKey, TItem> where TItem : class, IItem {
     private string filename;
Index: /trunk/sources/HeuristicLab.Data/3.3/ValueTypeArray.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/ValueTypeArray.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Data/3.3/ValueTypeArray.cs	(revision 3822)
@@ -31,5 +31,5 @@
 
 namespace HeuristicLab.Data {
-  [Item("ValueTypeArray<T>", "An abstract base class for representing arrays of value types.")]
+  [Item("ValueTypeArray", "An abstract base class for representing arrays of value types.")]
   [StorableClass]
   public abstract class ValueTypeArray<T> : Item, IEnumerable<T> where T : struct {
Index: /trunk/sources/HeuristicLab.Data/3.3/ValueTypeMatrix.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/ValueTypeMatrix.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Data/3.3/ValueTypeMatrix.cs	(revision 3822)
@@ -31,5 +31,5 @@
 
 namespace HeuristicLab.Data {
-  [Item("ValueTypeMatrix<T>", "An abstract base class for representing matrices of value types.")]
+  [Item("ValueTypeMatrix", "An abstract base class for representing matrices of value types.")]
   [StorableClass]
   public abstract class ValueTypeMatrix<T> : Item, IEnumerable<T> where T : struct {
Index: /trunk/sources/HeuristicLab.Data/3.3/ValueTypeValue.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/ValueTypeValue.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Data/3.3/ValueTypeValue.cs	(revision 3822)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Data {
-  [Item("ValueTypeValue<T>", "An abstract base class for representing values of value types.")]
+  [Item("ValueTypeValue", "An abstract base class for representing values of value types.")]
   [StorableClass]
   public abstract class ValueTypeValue<T> : Item where T : struct {
Index: /trunk/sources/HeuristicLab.Operators/3.3/CheckedMultiOperator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/CheckedMultiOperator.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Operators/3.3/CheckedMultiOperator.cs	(revision 3822)
@@ -33,5 +33,5 @@
   /// A base class for operators which apply arbitrary many other operators of a specific type that can be checked or unchecked.
   /// </summary>
-  [Item("CheckedMultiOperator<T>", "A base class for operators which apply arbitrary many other operators of a specific type that can be checked or unchecked.")]
+  [Item("CheckedMultiOperator", "A base class for operators which apply arbitrary many other operators of a specific type that can be checked or unchecked.")]
   [StorableClass]
   public abstract class CheckedMultiOperator<T> : MultiOperator<T> where T : class, IOperator {
Index: /trunk/sources/HeuristicLab.Operators/3.3/MultiOperator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/MultiOperator.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Operators/3.3/MultiOperator.cs	(revision 3822)
@@ -33,5 +33,5 @@
   /// A base class for operators which apply arbitrary many other operators of a specific type.
   /// </summary>
-  [Item("MultiOperator<T>", "A base class for operators which apply arbitrary many other operators of a specific type.")]
+  [Item("MultiOperator", "A base class for operators which apply arbitrary many other operators of a specific type.")]
   [StorableClass]
   public abstract class MultiOperator<T> : SingleSuccessorOperator where T : class, IOperator {
Index: /trunk/sources/HeuristicLab.Operators/3.3/StochasticMultiBranch.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/StochasticMultiBranch.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Operators/3.3/StochasticMultiBranch.cs	(revision 3822)
@@ -34,5 +34,5 @@
   /// Selects one of its branches (if there are any) given a list of relative probabilities.
   /// </summary>
-  [Item("StochasticMultiBranch<T>", "Selects one of its branches (if there are any) given a list of relative probabilities.")]
+  [Item("StochasticMultiBranch", "Selects one of its branches (if there are any) given a list of relative probabilities.")]
   [StorableClass]
   public abstract class StochasticMultiBranch<T> : CheckedMultiOperator<T> where T : class, IOperator {
Index: /trunk/sources/HeuristicLab.Parameters/3.3/ConstrainedValueParameter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters/3.3/ConstrainedValueParameter.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Parameters/3.3/ConstrainedValueParameter.cs	(revision 3822)
@@ -31,5 +31,5 @@
   /// A parameter whose value has to be chosen from a set of valid values.
   /// </summary>
-  [Item("ConstrainedValueParameter<T>", "A parameter whose value has to be chosen from a set of valid values.")]
+  [Item("ConstrainedValueParameter", "A parameter whose value has to be chosen from a set of valid values.")]
   [StorableClass]
   public class ConstrainedValueParameter<T> : OptionalConstrainedValueParameter<T> where T : class, IItem {
Index: /trunk/sources/HeuristicLab.Parameters/3.3/LookupParameter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters/3.3/LookupParameter.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Parameters/3.3/LookupParameter.cs	(revision 3822)
@@ -29,5 +29,5 @@
   /// A parameter whose value is retrieved from the scope.
   /// </summary>
-  [Item("LookupParameter<T>", "A parameter whose value is retrieved from or written to a scope.")]
+  [Item("LookupParameter", "A parameter whose value is retrieved from or written to a scope.")]
   [StorableClass]
   public class LookupParameter<T> : Parameter, ILookupParameter<T> where T : class, IItem {
Index: /trunk/sources/HeuristicLab.Parameters/3.3/OptionalConstrainedValueParameter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters/3.3/OptionalConstrainedValueParameter.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Parameters/3.3/OptionalConstrainedValueParameter.cs	(revision 3822)
@@ -31,5 +31,5 @@
   /// A parameter whose value has to be chosen from a set of valid values or is null.
   /// </summary>
-  [Item("OptionalConstrainedValueParameter<T>", "A parameter whose value has to be chosen from a set of valid values or is null.")]
+  [Item("OptionalConstrainedValueParameter", "A parameter whose value has to be chosen from a set of valid values or is null.")]
   [StorableClass]
   public class OptionalConstrainedValueParameter<T> : Parameter, IValueParameter<T> where T : class, IItem {
Index: /trunk/sources/HeuristicLab.Parameters/3.3/OptionalValueParameter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters/3.3/OptionalValueParameter.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Parameters/3.3/OptionalValueParameter.cs	(revision 3822)
@@ -30,5 +30,5 @@
   /// A parameter whose value is defined in the parameter itself or is null.
   /// </summary>
-  [Item("OptionalValueParameter<T>", "A parameter whose value is defined in the parameter itself or is null.")]
+  [Item("OptionalValueParameter", "A parameter whose value is defined in the parameter itself or is null.")]
   [StorableClass]
   public class OptionalValueParameter<T> : Parameter, IValueParameter<T> where T : class, IItem {
Index: /trunk/sources/HeuristicLab.Parameters/3.3/ScopeTreeLookupParameter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters/3.3/ScopeTreeLookupParameter.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Parameters/3.3/ScopeTreeLookupParameter.cs	(revision 3822)
@@ -31,5 +31,5 @@
   /// A generic parameter representing instances of type T which are collected from or written to scope tree.
   /// </summary>
-  [Item("ScopeTreeLookupParameter<T>", "A generic parameter representing instances of type T which are collected from or written to scope tree.")]
+  [Item("ScopeTreeLookupParameter", "A generic parameter representing instances of type T which are collected from or written to scope tree.")]
   [StorableClass]
   public class ScopeTreeLookupParameter<T> : LookupParameter<ItemArray<T>>, IScopeTreeLookupParameter<T> where T : class, IItem {
Index: /trunk/sources/HeuristicLab.Parameters/3.3/ValueLookupParameter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters/3.3/ValueLookupParameter.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Parameters/3.3/ValueLookupParameter.cs	(revision 3822)
@@ -30,5 +30,5 @@
   /// A parameter whose value is either defined in the parameter itself or is retrieved from the scope.
   /// </summary>
-  [Item("ValueLookupParameter<T>", "A parameter whose value is either defined in the parameter itself or is retrieved from or written to a scope.")]
+  [Item("ValueLookupParameter", "A parameter whose value is either defined in the parameter itself or is retrieved from or written to a scope.")]
   [StorableClass]
   public class ValueLookupParameter<T> : LookupParameter<T>, IValueLookupParameter<T> where T : class, IItem {
Index: /trunk/sources/HeuristicLab.Parameters/3.3/ValueParameter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters/3.3/ValueParameter.cs	(revision 3821)
+++ /trunk/sources/HeuristicLab.Parameters/3.3/ValueParameter.cs	(revision 3822)
@@ -29,5 +29,5 @@
   /// A parameter whose value is defined in the parameter itself.
   /// </summary>
-  [Item("ValueParameter<T>", "A parameter whose value is defined in the parameter itself.")]
+  [Item("ValueParameter", "A parameter whose value is defined in the parameter itself.")]
   [StorableClass]
   public class ValueParameter<T> : OptionalValueParameter<T> where T : class, IItem {