Index: /trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Properties/Settings.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Properties/Settings.Designer.cs	(revision 3836)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Properties/Settings.Designer.cs	(revision 3837)
@@ -2,5 +2,5 @@
 // <auto-generated>
 //     This code was generated by a tool.
-//     Runtime Version:2.0.50727.4200
+//     Runtime Version:2.0.50727.4927
 //
 //     Changes to this file may cause incorrect behavior and will be lost if
@@ -21,22 +21,4 @@
             get {
                 return defaultInstance;
-            }
-        }
-        
-        [global::System.Configuration.ApplicationScopedSettingAttribute()]
-        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
-        [global::System.Configuration.DefaultSettingValueAttribute("-")]
-        public string User {
-            get {
-                return ((string)(this["User"]));
-            }
-        }
-        
-        [global::System.Configuration.ApplicationScopedSettingAttribute()]
-        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
-        [global::System.Configuration.DefaultSettingValueAttribute("-")]
-        public string Organization {
-            get {
-                return ((string)(this["Organization"]));
             }
         }
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Properties/Settings.settings
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Properties/Settings.settings	(revision 3836)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Properties/Settings.settings	(revision 3837)
@@ -3,10 +3,4 @@
   <Profiles />
   <Settings>
-    <Setting Name="User" Type="System.String" Scope="Application">
-      <Value Profile="(Default)">-</Value>
-    </Setting>
-    <Setting Name="Organization" Type="System.String" Scope="Application">
-      <Value Profile="(Default)">-</Value>
-    </Setting>
     <Setting Name="UpdateLocation" Type="System.String" Scope="User">
       <Value Profile="(Default)">http://services.heuristiclab.com/Deployment-3.3/Update.svc</Value>
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/3.3/app.config
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/3.3/app.config	(revision 3836)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/3.3/app.config	(revision 3837)
@@ -2,21 +2,8 @@
 <configuration>
     <configSections>
-        <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
-            <section name="HeuristicLab.PluginInfrastructure.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
-        </sectionGroup>
         <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
             <section name="HeuristicLab.PluginInfrastructure.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
         </sectionGroup>
     </configSections>
-    <applicationSettings>
-        <HeuristicLab.PluginInfrastructure.Properties.Settings>
-            <setting name="User" serializeAs="String">
-                <value>-</value>
-            </setting>
-            <setting name="Organization" serializeAs="String">
-                <value>-</value>
-            </setting>
-        </HeuristicLab.PluginInfrastructure.Properties.Settings>
-    </applicationSettings>
     <system.serviceModel>
         <behaviors>
Index: /trunk/sources/HeuristicLab/3.3/Files.txt
===================================================================
--- /trunk/sources/HeuristicLab/3.3/Files.txt	(revision 3836)
+++ /trunk/sources/HeuristicLab/3.3/Files.txt	(revision 3837)
@@ -7,5 +7,4 @@
 HeuristicLab.Algorithms.GeneticAlgorithm\3.3:HeuristicLab.Algorithms.GeneticAlgorithm-3.3.dll
 HeuristicLab.Algorithms.LocalSearch\3.3:HeuristicLab.Algorithms.LocalSearch-3.3.dll
-HeuristicLab.Algorithms.MultipopulationAlgorithm\3.3:HeuristicLab.Algorithms.MultipopulationAlgorithm-3.3.dll
 HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm\3.3:HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm-3.3.dll
 HeuristicLab.Algorithms.ParticleSwarmOptimization\3.3:HeuristicLab.Algorithms.ParticleSwarmOptimization-3.3.dll
@@ -59,5 +58,4 @@
 HeuristicLab.Selection\3.3:HeuristicLab.Selection-3.3.dll
 HeuristicLab.SequentialEngine\3.3:HeuristicLab.SequentialEngine-3.3.dll
-HeuristicLab.TestFunctions\3.3:HeuristicLab.TestFunctions-3.3.dll
 HeuristicLab.Tracing\3.3:HeuristicLab.Tracing-3.3.dll
 HeuristicLab.Tracing\3.3:HeuristicLab.log4net.xml
Index: /trunk/sources/HeuristicLab/3.3/HeuristicLab-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab/3.3/HeuristicLab-3.3.csproj	(revision 3836)
+++ /trunk/sources/HeuristicLab/3.3/HeuristicLab-3.3.csproj	(revision 3837)
@@ -10,5 +10,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab</RootNamespace>
-    <AssemblyName>HeuristicLab</AssemblyName>
+    <AssemblyName>HeuristicLab 3.3</AssemblyName>
     <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
@@ -36,5 +36,5 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
-    <DocumentationFile>bin\Release\HeuristicLab.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab 3.3.xml</DocumentationFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
@@ -53,5 +53,5 @@
     <PlatformTarget>x86</PlatformTarget>
     <ErrorReport>prompt</ErrorReport>
-    <DocumentationFile>bin\x86\Release\HeuristicLab.XML</DocumentationFile>
+    <DocumentationFile>bin\x86\Release\HeuristicLab 3.3.xml</DocumentationFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x64' ">
@@ -70,5 +70,5 @@
     <PlatformTarget>x64</PlatformTarget>
     <ErrorReport>prompt</ErrorReport>
-    <DocumentationFile>bin\x64\Release\HeuristicLab.XML</DocumentationFile>
+    <DocumentationFile>bin\x64\Release\HeuristicLab 3.3.xml</DocumentationFile>
   </PropertyGroup>
   <ItemGroup>
@@ -120,5 +120,5 @@
   </ItemGroup>
   <ItemGroup>
-    <ProjectReference Include="..\HeuristicLab.PluginInfrastructure\3.3\HeuristicLab.PluginInfrastructure-3.3.csproj">
+    <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\3.3\HeuristicLab.PluginInfrastructure-3.3.csproj">
       <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
       <Name>HeuristicLab.PluginInfrastructure-3.3</Name>
Index: /trunk/sources/HeuristicLab/3.3/MergeConfigs.cmd
===================================================================
--- /trunk/sources/HeuristicLab/3.3/MergeConfigs.cmd	(revision 3836)
+++ /trunk/sources/HeuristicLab/3.3/MergeConfigs.cmd	(revision 3837)
@@ -1,4 +1,4 @@
-ConfigMerger "%SolutionDir%\HeuristicLab.PluginInfrastructure\%Outdir%\HeuristicLab.PluginInfrastructure.dll.config" "HeuristicLab.exe.config"
-ConfigMerger "%SolutionDir%\HeuristicLab.Optimizer\3.3\%Outdir%\HeuristicLab.Optimizer-3.3.dll.config" "HeuristicLab.exe.config"
-ConfigMerger "%SolutionDir%\HeuristicLab.Persistence\3.3\%Outdir%\HeuristicLab.Persistence-3.3.dll.config" "HeuristicLab.exe.config"
-ConfigMerger "%SolutionDir%\HeuristicLab.Tracing\3.2\%Outdir%\HeuristicLab.Tracing-3.2.dll.config" "HeuristicLab.exe.config"
+ConfigMerger "%SolutionDir%\HeuristicLab.PluginInfrastructure\3.3\%Outdir%\HeuristicLab.PluginInfrastructure-3.3.dll.config" "HeuristicLab 3.3.exe.config"
+ConfigMerger "%SolutionDir%\HeuristicLab.Optimizer\3.3\%Outdir%\HeuristicLab.Optimizer-3.3.dll.config" "HeuristicLab 3.3.exe.config"
+ConfigMerger "%SolutionDir%\HeuristicLab.Persistence\3.3\%Outdir%\HeuristicLab.Persistence-3.3.dll.config" "HeuristicLab 3.3.exe.config"
+ConfigMerger "%SolutionDir%\HeuristicLab.Tracing\3.3\%Outdir%\HeuristicLab.Tracing-3.3.dll.config" "HeuristicLab 3.3.exe.config"
Index: /trunk/sources/HeuristicLab/3.3/Properties/Settings.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab/3.3/Properties/Settings.Designer.cs	(revision 3836)
+++ /trunk/sources/HeuristicLab/3.3/Properties/Settings.Designer.cs	(revision 3837)
@@ -2,5 +2,5 @@
 // <auto-generated>
 //     This code was generated by a tool.
-//     Runtime Version:2.0.50727.4200
+//     Runtime Version:2.0.50727.4927
 //
 //     Changes to this file may cause incorrect behavior and will be lost if
@@ -23,22 +23,4 @@
             }
         }
-        
-        [global::System.Configuration.ApplicationScopedSettingAttribute()]
-        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
-        [global::System.Configuration.DefaultSettingValueAttribute("unknown")]
-        public string User {
-            get {
-                return ((string)(this["User"]));
-            }
-        }
-        
-        [global::System.Configuration.ApplicationScopedSettingAttribute()]
-        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
-        [global::System.Configuration.DefaultSettingValueAttribute("unknown")]
-        public string Organization {
-            get {
-                return ((string)(this["Organization"]));
-            }
-        }
     }
 }
Index: /trunk/sources/HeuristicLab/3.3/Properties/Settings.settings
===================================================================
--- /trunk/sources/HeuristicLab/3.3/Properties/Settings.settings	(revision 3836)
+++ /trunk/sources/HeuristicLab/3.3/Properties/Settings.settings	(revision 3837)
@@ -1,12 +1,5 @@
 ﻿<?xml version='1.0' encoding='utf-8'?>
-<SettingsFile xmlns="http://schemas.microsoft.com/VisualStudio/2004/01/settings" CurrentProfile="(Default)" GeneratedClassNamespace="HeuristicLab.Properties" GeneratedClassName="Settings">
+<SettingsFile xmlns="http://schemas.microsoft.com/VisualStudio/2004/01/settings" CurrentProfile="(Default)">
   <Profiles />
-  <Settings>
-    <Setting Name="User" Type="System.String" Scope="Application">
-      <Value Profile="(Default)">unknown</Value>
-    </Setting>
-    <Setting Name="Organization" Type="System.String" Scope="Application">
-      <Value Profile="(Default)">unknown</Value>
-    </Setting>
-  </Settings>
+  <Settings />
 </SettingsFile>
Index: /trunk/sources/HeuristicLab/3.3/app.config
===================================================================
--- /trunk/sources/HeuristicLab/3.3/app.config	(revision 3836)
+++ /trunk/sources/HeuristicLab/3.3/app.config	(revision 3837)
@@ -2,7 +2,4 @@
 <configuration>
   <configSections>
-    <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
-      <section name="HeuristicLab.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
-    </sectionGroup>
   </configSections>
   <connectionStrings>
@@ -26,13 +23,3 @@
     </DbProviderFactories>
   </system.data>
-  <applicationSettings>
-    <HeuristicLab.Properties.Settings>
-      <setting name="User" serializeAs="String">
-        <value>unknown</value>
-      </setting>
-      <setting name="Organization" serializeAs="String">
-        <value>unknown</value>
-      </setting>
-    </HeuristicLab.Properties.Settings>
-  </applicationSettings>
 </configuration>